Bug 77760 - imapd gets wedged
imapd gets wedged
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-12 23:57 EST by Need Real Name
Modified: 2014-08-31 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:01:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-12 23:57:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I am running squirrelmail-1.2.8-1 with imap-2001a-15 and xinetd-2.3.7-2.
Periodically, imapd stops successfully responding to connection requests, and
requires xinetd to be restarted. After restarting xinetd, imapd will respond
properly for a while...but will eventually wedge again.

Version-Release number of selected component (if applicable):
imap-2001a-15

How reproducible:
Sometimes

Steps to Reproduce:
1.Set SquirrelMail to use imap:

    IMAP Server          : localhost
    IMAP Port            : 143

2.Enable imap using ntsysv and restart xinetd.

3.Let it run for a day or so, and watch it eventually fail.
	

Actual Results:  When wedged, /var/log/maillog gets this:

Nov 12 20:22:38 gateway imapd[9936]: imap service init from 127.0.0.1
Nov 12 20:23:00 gateway imapd[9937]: imap service init from 127.0.0.1

Expected Results:  When operating normally, /var/log/maillog records:

Nov 12 20:26:19 gateway imapd[9971]: imap service init from 127.0.0.1
Nov 12 20:26:19 gateway imapd[9971]: Login user=vsmith
host=gateway.codegnome.org [127.0.0.1]
Nov 12 20:26:19 gateway imapd[9971]: Logout user=vsmith
host=gateway.codegnome.org [127.0.0.1]

Additional info:

Enabling the -cc flag for xinetd creates the following errors in
/var/log/messages. This error appears immediately, not just when imap gets wedged.

Nov 11 19:16:21 gateway xinetd[15551]: descriptor 3 set in socket mask but there
is no service for it
Nov 11 19:16:21 gateway xinetd[15551]: Consistency check detected 1 errors
Comment 1 StK 2002-11-16 05:16:44 EST
Same here on my production server----
Are there any workarounds?
Comment 2 Alan Cox 2002-11-16 20:13:12 EST
Seen similar too - go back to the older xinetd seems to cure it
Reassigned to xinetd
Comment 3 Gary Benson 2002-11-18 05:34:54 EST
I've been having problems with my mailserver recently, although not identical to
the above.  When using mutt it would occasionally hang for a couple of minutes;
I presume that during that time the connection would time out and be recreated.
 I've had nothing untoward in /var/log/{messages,maillog}.

Anyway, I just downgraded to xinetd-2.3.4-0.8 and I'll let you know if the
problems continue.
Comment 4 Gary Benson 2002-11-18 12:22:22 EST
FYI my problems went away after downgrading to xinetd-2.3.4-0.8.
Comment 5 Mike A. Harris 2002-11-18 13:12:37 EST
Reassigning bug to xinetd package maintainer.
Comment 6 Bill Nottingham 2006-08-07 14:31:03 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 7 Bill Nottingham 2006-10-18 12:01:05 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.